/*
 * Copyright (C) 2017  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

#ifndef PUGCP_PROTO_H_INCLUDED
#define PUGCP_PROTO_H_INCLUDED

#include <compiler.h>
#include <asm_types.h>

struct pugcp_header {
	be32 checksum;
	be32 proto;
	be32 node;
	be32 command;
} __attribute__((packed));

#define PUGCP_PSCHED_ID_WRITE	0x80000000
#define PUGCP_PSCHED_ID_MASK	0x7fffffff
struct pugcp_psched {
	be32 id;
	be32 value;
} __attribute__((packed));

struct pugcp_cadd_event {
	be32 output;
	be32 position;
} __attribute__((packed));

struct pugcp_cpevent_info {
	be32 output;
	be32 position;
//	be64 time_sec;
//	be32 time_nsec;
} __attribute__((packed));

#define PUGCP_CPEVENT_ENABLE_INFO	0x00001000
struct pugcp_cpevent_enable_info {
	be32 mask;
	be32 reserved;
} __attribute__((packed));

#endif
